Bug 2715 - eGroupware is badly deprecated.
: eGroupware is badly deprecated.
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Marathon
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-27 08:51 MSD by Zombie Ryushu
Modified: 2013-10-07 12:04 MSD (History)
1 user (show)

See Also:
RPM Package: egroupware
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2013-09-27 08:51:51 MSD
The current version of eGroupware contain security holes needing fixing. Many of these bugs affect Authentication against LDAP.

egroupware (1.8.004.20130831) hardy; urgency=low * Addressbook/CardDAV: fixed not working (forced) preference to display only accounts of groupmembers * Addressbook: fixed sql error caused by multiple DISTINCT by backporting whole so_sql class from Trunk/11.1 * CardDAV/Addressbook/LDAP: prefix, middle name, suffix was messed up, if iOS addressbook "Display Order" preferences was set to "lastname firstname" * Calendar: automatic cancel alarms from removed or rejected participants * Calendar/EMail: accepting mail invitations sets now external organizer as role CHAIR (externals can not be event-owners), to send replys back to organizer * FckEditor: re-added EGroupware configuration -- Ralf Becker <rb@stylite.de> Sat, 31 Aug 2013 10:06:52 +0200 egroupware (1.8.004.20130819) hardy; urgency=low * Gallery: fix missing files in last package -- Ralf Becker <rb@stylite.de> Mon, 19 Aug 2013 11:50:47 +0200 egroupware (1.8.004.20130816) hardy; urgency=low * EMailAdmin: make imap classes and default smtp class usable with PHP 5.2, LDAP requires 5.3! * CalDAV/CardDAV/WebDAV: get authentication working again with PHP 5.2 * Admin/Filemanager: added filesystem check and repair for missing or broken required directories /, /apps and /home * CardDAV/Addressbook: fixed not working sync-collection report eg. by eMclient, if server-time is different from user * CardDAV/Addressbook: fixed various issues with groups/distribution lists as supported by Apple and eMclient (groups need to be enabled in CalDAV/CardDAV preferences!) * CardDAV/Addressbook/ActiveDirectory: fixes SQL error when clients tries to propfind groups/distribution lists on accounts-addressbook, also return "403 Forbidden" when he tries to create one, as they are not (yet) supported on accounts, if not stored in SQL * ProjectManager: fix SQL error if searching for string containing numbers and underscore or percent * Calendar: fixed not working filter "only group events", to not include events of members
Comment 1 Denis Silakov 2013-10-07 12:04:39 MSD
egroupware has been updated to 1.8.005.20131001